package com.fs.course.param.newfs;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "生成课程短链入参")
public class FsCourseSortLinkParam {

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    private String qwUserId;

    private String corpId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "封面")
    private String imageUrl;

    @ApiModelProperty(value = "描述")
    private String desc;

//    @ApiModelProperty(value = "跳转的链接地址，格式举例：/course/pages/xxx?course=")
//    private String realLink;

}
